Loading...
Searching...
No Matches
xccdf_ident Struct Reference
XCCDF

XCCDF rule ident URI. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_ident * | xccdf_ident_new (void)
OSCAP_API struct xccdf_ident * | xccdf_ident_new_fill (const char *id, const char *sys)
OSCAP_API struct xccdf_ident * | xccdf_ident_clone (const struct xccdf_ident *ident)
OSCAP_API void | xccdf_ident_free (struct xccdf_ident *ident)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_ident_get_id (const struct xccdf_ident *ident)
OSCAP_API const char * | xccdf_ident_get_system (const struct xccdf_ident *ident)

## Data Fields

char * | id
char * | system

## Detailed Description

XCCDF rule ident URI.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h